class Bg {
	private static _instance: Bg;
	static get instance(): Bg {
		if (!this._instance) {
			this._instance = new Bg();
		}
		return this._instance;
	}

	private bgScroller: Scroller;
	private contaniner: egret.DisplayObjectContainer;

	public constructor() {
	}

	public setBgContainer(contaniner: egret.DisplayObjectContainer): void {
		this.contaniner = contaniner;

		this.bgScroller = new Scroller({ contaniner: this.contaniner, speed: Index.speed, reset: true, autoRun: true });
	}
}